<?php

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Кафешка'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<center><div class='bdeg1'><img src='160_bar-zippo.jpg' /></div></center><link rel='stylesheet' href='style.css' type='text/css' /><dl class='mai2n'>";
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){


$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo'Здрасти, '.$user['nick'].'!<br/>';
echo'У вас '.$user['gorod_life'].'% жизни<br/>';

$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `type`='eda' AND `uid`='".$user['id']."'");

if(!mysql_num_rows($x)){echo 'В кафе нет повара, значит и нечего кушать!<br/>';}else{
while($row=mysql_fetch_assoc($x)){
echo '
<dl class="mai2n">
<dt></dt>
<b><a href="eda.php?action=eda&amp;id='.$row['id'].'"><dt><img src="skr/011.png" />Скушать '.$row['name'].'-></dt></a></b>
</TABLE></div>
это восстановит '.$row['life'].' жизни!<br/>';



};
};
echo'
<dl class="mai2n">
<dt></dt>
<b><a href="zdorov.php"><dt><img src="skr/011.png" />Охота, Рыбалка</dt></a></b>
</TABLE></div>
';
break;

case 'eda':
$id=(int)$_GET['id'];

if(!$id){echo 'Пустые параметры!';break;}
$x=mysql_query("SELECT * FROM `gorod_invent` WHERE `id`='$id' AND `uid`='".$user['id']."'");

if(!mysql_num_rows($x)){echo 'Такого предмета не существует!';break;};
$item=mysql_fetch_assoc($x);

if($item['type']!='eda'){echo 'Этот предмет нельзя есть!';break;};
$new=$user['gorod_life']+$item['life'];
$new=($new>100) ? 100 : $new;
mysql_query("UPDATE `user` SET `gorod_life`='$new' WHERE `id`='".$user['id']."'");
mysql_query("DELETE FROM `gorod_invent` WHERE `id`='$id' AND `uid`='".$user['id']."' LIMIT 1");



echo'<dl class="mai2n">
<dt></dt>
<b><a href="eda.php"><dt><img src="skr/011.png" />Вы поели! Поесть ещё?</dt></a></b>
</TABLE></div>
';
break;





};
echo '<div class="msg"><a href="index.php">В игру</a></div></div>';
}else{
echo '<div class="msg">Город закрыт администратором!</div>';
};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>